> For the complete documentation index, see [llms.txt](https://developers.aixchain.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.aixchain.com/http-api/api-list/query-the-network/gettransactionbyid.md).

# GetTransactionById

Query transaction information by transaction id.

\
**BODY PARAMS**

`{`

**`Value`**` ``string`

`}`

**Note:**  &#x20;

* **value** is transaction ID

**Example:**

```
curl -X POST  https://api.trongrid.io/wallet/getblockbyid -d '{"value": "b1f4bbec47e1b743bd6527c9cc0bb63db050e8da86b30a5d8c7ba5368da49d5a"}'
```

<br>

**Input:**&#x20;

`{`

&#x20;`"value":"`b1f4bbec47e1b743bd6527c9cc0bb63db050e8da86b30a5d8c7ba5368da49d5a`"`&#x20;

`}`

**Response:**

`{`&#x20;

`"ret": [ { "contractRet": "SUCCESS" } ], "signature": [ "17bb30622abbc65c185bfa516ef381152579510c73370c794018e6e7a448cf825374a5bb9279da43455147c6ef842c43a463ba8168ec2c27f5ba4701bc34910301" ], "txID": "b1f4bbec47e1b743bd6527c9cc0bb63db050e8da86b30a5d8c7ba5368da49d5a", "raw_data": { "contract": [ { "parameter": { "value": { "resource": "ENERGY", "frozen_duration": 3, "frozen_balance": 2000000, "owner_address": "41a9c46373aeb4749e3ce45aca242b027a46f486f9" }, "type_url": "type.googleapis.com/protocol.FreezeBalanceContract" }, "type": "FreezeBalanceContract" } ], "ref_block_bytes": "83ce", "ref_block_hash": "de07f3deb051961a", "expiration": 1639400256000, "timestamp": 1639400196186 }, "raw_data_hex": "0a0283ce2208de07f3deb051961a4080e4fa9edb2f5a59080b12550a32747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e467265657a6542616c616e6365436f6e7472616374121f0a1541a9c46373aeb4749e3ce45aca242b027a46f486f91080897a1803500170da90f79edb2f"`&#x20;

`}`
